Subject: Re: bug#8379: The width of linum window is not adjusted afterface-remapping

From: Juanma Barranquero <[email-masked]>
Date: Thu, 31 Mar 2011 16:54:30 +0200

On Thu, Mar 31, 2011 at 16:48, Drew Adams <[email-masked]> wrote:

> There is no right or wrong answer wrt affecting the window that applies to all
> contexts.  The behavior wrt the window should be under user and program control.
> Sometimes you want the window to be resized to adapt to the apparent text size
> change; sometimes you do not.

You're right that there's no right or wrong answer. What I meant is
that I don't know if what you call "program control" should be the
responsibility of the text-scaling code (with suitable hooks to allow
customization), or it's better to leave it as it is and let the
applications (like linum.el) adapt to a possible rescaling.

As it is now, an application has no way to know that the text in the
buffer is shown rescaled/remaped, unless it periodically checks
`face-remapping-alist', because remapping does not *have* to go
through face-remap-* functions, so there's no hook or callback.

    Juanma